%define upstream_name    Linux-DVB
%define upstream_version 1.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13

Summary:	Interface to (some parts of) the Linux DVB API
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		remove_unused_defs.patch
BuildRequires:	perl(Canary::Stability)
BuildRequires:	perl-devel


%description
This module provides an interface to the Linux DVB API. It is a
straightforward translation of the C API. You should read the Linux DVB API
description to make any sense of this module. It can be found here:

   http://www.linuxtv.org/docs/dvbapi/dvbapi.html

All constants from _frontend.h_ and _demux.h_ are exported by their C name
and by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.30.0-13.mga9
+ Revision: 1862059
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.30.0-12.mga9
+ Revision: 1795851
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.30.0-11.mga9
+ Revision: 1726834
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.30.0-10.mga8
+ Revision: 1594837
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.30.0-9.mga8
+ Revision: 1529704
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.30.0-8.mga8
+ Revision: 1433809
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.30.0-7.mga7
+ Revision: 1293321
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.30.0-6.mga7
+ Revision: 1249510
- Rebuild for perl 5.28

* Mon Jun 25 2018 wally <wally> 1.30.0-5.mga7
+ Revision: 1239655
- add Debian patch to fix FTBFS with new kernels
- build using PERL_CANARY_STABILITY_NOPROMPT=1

* Sat Jul 22 2017 neoclust <neoclust> 1.30.0-4.mga7
+ Revision: 1126520
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-3.mga6
+ Revision: 1029165
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.30.0-2.mga6
+ Revision: 957622
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.30.0-1.mga6
+ Revision: 842765
- update to 1.03

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-10.mga5
+ Revision: 747228
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-9.mga5
+ Revision: 685226
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.10.0-8.mga5
+ Revision: 631372
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-7.mga4
+ Revision: 524376
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.10.0-6.mga4
+ Revision: 430780
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-5.mga3
+ Revision: 369094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-4.mga3
+ Revision: 250854
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.10.0-3.mga2
+ Revision: 104752
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-2.mga1
+ Revision: 30708
- mageia rebuild
- imported package perl-Linux-DVB

